%define __libtoolize :

%global momorel 2

%global moz_plugindir %{_libdir}/mozilla/plugins
%global geckover 1.9.1

Name:		gecko-mediaplayer
Summary:	Multimedia browser plugin for Gecko based browsers
Version:	0.9.6
Release:	%{momorel}m%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://kdekorte.googlepages.com/gecko-mediaplayer
Source0:	http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	GConf2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	libX11-devel
BuildRequires:	pkgconfig
BuildRequires:	gecko-devel >= %{geckover}
Requires:	gnome-mplayer

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play media in a browser. 
It should work with all browsers on Unix-ish systems(Linux, BSD, Solaris) and 
use the NS4 API (Mozilla, Firefox, Opera, etc.). 
Gecko Media Player is in heavy development, but I wanted to get some code drops out there 
so that people can start using and testing it.

%prep
%__rm -rf --preserve-root %{buildroot}

%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%__rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

## delete duplicated documents
%__rm -rf %{buildroot}%{_docdir}/%{name}

%clean
%__rm -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas > /dev/null

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL
%{_libdir}/mozilla/plugins/*
%{_datadir}/locale/*/LC_MESSAGES/*
%config %{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas

%changelog
* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-2m)
- rebuild against xulrunner-1.9.1

* Sun Jun 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0
- change URL and source URI

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- revise spec

* Sun May 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-1m)
- initial build for Momonga Linux 5
